// SimpleTextFileView.h : interface of the CSimpleTextFileView class
//


#pragma once

class CTextObject;

class CSimpleTextFileView : public CView
{
protected: // create from serialization only
	CSimpleTextFileView();
	DECLARE_DYNCREATE(CSimpleTextFileView)

// Attributes
public:
	CSimpleTextFileDoc* GetDocument() const;
	CTextObject* m_TextObject;	// ȭ鿡 ׷ ؽƮ
	COLORREF m_Color;
	CPoint m_Point;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CSimpleTextFileView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnColorRed();
	afx_msg void OnColorGreen();
	afx_msg void OnColorBlue();
	afx_msg void OnColorBlack();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
};

#ifndef _DEBUG  // debug version in SimpleTextFileView.cpp
inline CSimpleTextFileDoc* CSimpleTextFileView::GetDocument() const
   { return reinterpret_cast<CSimpleTextFileDoc*>(m_pDocument); }
#endif

