#include "stdafx.h"
#include "TextObject.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
IMPLEMENT_SERIAL(CTextObject, CObject, 1)

CTextObject::CTextObject()
{ 
	m_Font.CreatePointFont(400, "Arial");
	m_strText=""; m_ptText = CPoint(0, 0); m_Color = RGB(0, 0, 0);
}

CTextObject::CTextObject(CString str, CPoint pt, COLORREF color) 
{ 
	m_Font.CreatePointFont(400, "Arial");
	m_strText=str; m_ptText = pt; m_Color = color;
}

void CTextObject::Serialize(CArchive& ar)
{
	if (ar.IsStoring())	{
		ar << m_strText;
		ar << m_ptText;
		ar << m_Color;
	}
	else {
		ar >> m_strText;
		ar >> m_ptText;
		ar >> m_Color;
	}
}

void CTextObject::Append(char c) 
{ 
	m_strText += c; 
}

void CTextObject::Draw(CDC * pDC)
{
	pDC->SelectObject(&m_Font);
	pDC->SetTextColor(m_Color);
	pDC->TextOut(m_ptText.x, m_ptText.y, m_strText);
}
